<?php
/**
 * Core Design Scriptegrator plugin for Joomla! 1.6
 * @author		Daniel Rataj, <info@greatjoomla.com>
 * @package		Joomla 
 * @subpackage	System
 * @category	Plugin
 * @version		2.0.3
 * @copyright	Copyright (C) 2007 - 2011 Great Joomla!, http://www.greatjoomla.com
 * @license		http://www.gnu.org/copyleft/gpl.html GNU/GPL 3
 * 
 * This file is part of Great Joomla! extension.   
 * This extension is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This extension is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

// no direct access
defined('_JEXEC') or die;

// Import library dependencies
jimport('joomla.plugin.plugin');
jimport('joomla.filesystem.folder');
jimport('joomla.filesystem.file');

/**
 * Core Design Scriptegrator plugin
 *
 * @author		Daniel Rataj <info@greatjoomla.com>
 * @package		Core Design
 * @subpackage	System
 */
class plgSystemCdScriptegrator extends JPlugin
{
	
	const		PLGNAME		= 	'cdscriptegrator';
	private		$enabled	= 	false;
	
    /**
	 * Object Constructor.
	 *
	 * @access	public
	 * @param	object	The object to observe -- event dispatcher.
	 * @param	object	The configuration object for the plugin.
	 * @return	void
	 * @since	1.0
	 */
	function __construct(&$subject, $config)
	{
		parent::__construct($subject, $config);
	}
	
	/**
     * Register JScriptegrator class
     * 
     * @return void
     */
    public function onAfterRoute()
    {
        // disable plugin for non-HTML interface
        if (JFactory::getDocument()->getType() !== 'html') {
        	return false;
        }
        
        $this->enabled = true;
        
        // load the language 
		$this->loadLanguage();
        
        // register JScriptegrator class
        JLoader::register('JScriptegrator' , dirname(__FILE__) . DS . 'includes' . DS . 'JScriptegrator.php');
    }
    
    /**
     * Organize Scriptegrator plugin files
     * 
     * @return void
     */
    public function onAfterDispatch() {
    	if (!$this->enabled) return false;
    	
    	$document = JFactory::getDocument(); // set document for next usage
    	
    	// order jQuery scripts
    	$ordering_cdscriptegrator = array();
    	$ordering_jQuery = array();
    	$ordering_jQueryUI = array();
    	foreach($document->_scripts as $path=>$type) {
    		// PHPJS must be first
    		if (strpos($path, '/' . self::PLGNAME . '/libraries/phpjs/')) {
    			$ordering_cdscriptegrator[$path] = $type;
    			unset($document->_scripts[$path]);
    		}
    		if (strpos($path, '/' . self::PLGNAME . '/libraries/jquery/')) {
    			$ordering_jQuery[$path] = $type;
    			unset($document->_scripts[$path]);
    		}
    		if (strpos($path, '/' . self::PLGNAME . '/libraries/jqueryui/')) {
    			$ordering_jQueryUI[$path] = $type;
    			unset($document->_scripts[$path]);
    		}
    	}
    	$document->_scripts = array_merge($ordering_cdscriptegrator, $ordering_jQuery, $ordering_jQueryUI, $document->_scripts);
    	unset($ordering_jQuery, $ordering_jQueryUI);
    	
    	$document->setHeadData($document->_scripts);
    }
}
?>