<?php
/**
 * Core Design Scriptegrator plugin for Joomla! 1.6
 * @author		Daniel Rataj, <info@greatjoomla.com>
 * @package		Joomla 
 * @subpackage	System
 * @category	Plugin
 * @version		2.0.3
 * @copyright	Copyright (C) 2007 - 2011 Great Joomla!, http://www.greatjoomla.com
 * @license		http://www.gnu.org/copyleft/gpl.html GNU/GPL 3
 * 
 * This file is part of Great Joomla! extension.   
 * This extension is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This extension is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die;

jimport('joomla.form.formfield');

/**
 * Form Field class for the Joomla Framework.
 *
 * @package		Joomla.Framework
 * @subpackage	Form
 * @since		1.6
 */
class JFormFielduithemecombobox extends JFormFieldList
{
	/**
	 * The form field type.
	 *
	 * @var		string
	 * @since	1.6
	 */
	public	$type 		= 'uithemecombobox';
	
	/**
	 * Method to get the field input markup.
	 *
	 * @return	string	The field input markup.
	 * @since	1.6
	 */
	protected function getInput()
	{
		$attr = '';
		
		$attr = ' style="width: 230px;"';
		
		$attr .= $this->element['class'] ? ' class="'.(string) $this->element['class'].'"' : '';
		if ((string) $this->element['disabled'] == 'true') {
			$attr .= ' disabled="disabled"';
		}
		
		// The active uitheme
		if ((string)$this->value === '') {
			$value = '';
		} else {
			$value = (string)$this->value;
		}
		
		// Build the script.
		$script = array();
		
		// UI theme styling
		$uitheme = ($value ? $value : 'smoothness');
		if (isset($this->element['default'])) {
			$uitheme = $this->element['default'];
		}
		$JScriptegrator = JScriptegrator::getInstance('2.0.3');
		$JScriptegrator->importLibrary(array(
			'jquery',
			'jqueryui' => array(
				'uitheme' => $uitheme,
				'withoutScript' => true
			)
		));
		
		// mainCSS
		$mainCSS = 'ui';
		
		// Add the script to the document head.
		$document = JFactory::getDocument();
		
		$document->addScript($JScriptegrator->folderPath() . '/fields/' . $this->type . '/js/jquery.dd.js');
		$document->addStyleSheet($JScriptegrator->folderPath() . '/fields/' . $this->type . '/css/dd.css');
		
		$options = array();
		
		$options = $JScriptegrator->themeList();
		
		$uithemes = array();
		foreach($options as $option) {
			$uithemes[$option] = $option;
		}
		$options = $uithemes;
		unset($uithemes);
		
		// Script function
		$script[] = "
		jQuery(document).ready(function($){
			var select = $('select[name=\"$this->name\"]');
			select.children('option').each(function () {
				var src_value = '" . $JScriptegrator->folderPath() . "/libraries/jqueryui/css/' + $(this).val() + '/' + $(this).val() + '.png';
				$(this).attr('title', src_value);
			});
			var msDropDown = select.msDropDown({
				mainCSS : '$mainCSS'
			});
			msDropDown.parent('div').next('div').addClass('$uitheme').children('.ddTitle').addClass('ui-state-default ui-corner-all').hover(
				function() { $(this).addClass('ui-state-hover'); },
				function() { $(this).removeClass('ui-state-hover'); }
			);
			msDropDown.parent('div').next('div').children('.ddChild').children('a').addClass('ui-state-default').hover(
				function() { $(this).addClass('ui-state-hover'); },
				function() { $(this).removeClass('ui-state-hover'); }
			);
		});
		";
		
		$document->addScriptDeclaration(implode("\n", $script));
		
		// Setup variables for display.
		$html = JHtml::_('select.genericlist', $options, $this->name, trim($attr), 'value', 'text', $this->value, $this->id);
		$html .= '<div style="padding: 5px 0; clear: both;" />';

		return $html;
	}
}
