<?php
/**
 * Core Design Scriptegrator plugin for Joomla! 1.6
 * @author		Daniel Rataj, <info@greatjoomla.com>
 * @package		Joomla 
 * @subpackage	System
 * @category	Plugin
 * @version		2.0.3
 * @copyright	Copyright (C) 2007 - 2011 Great Joomla!, http://www.greatjoomla.com
 * @license		http://www.gnu.org/copyleft/gpl.html GNU/GPL 3
 * 
 * This file is part of Great Joomla! extension.   
 * This extension is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This extension is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die;

jimport('joomla.form.formfield');
jimport('joomla.filesystem.folder');
jimport('joomla.filesystem.file');

/**
 * Form Field class for the Joomla Framework.
 *
 * @package		Joomla.Framework
 * @subpackage	Form
 * @since		1.6
 */
class JFormFielduithemeshowcase extends JFormFieldList
{
	/**
	 * The form field type.
	 *
	 * @var		string
	 * @since	1.6
	 */
	public	$type 		= 'uithemeshowcase';
	
	protected function getLabel() {
		
		$JScriptegrator = JScriptegrator::getInstance('2.0.3');
		$uithemes = $JScriptegrator->themeList();
		
		JHtml::_('behavior.tooltip');
		
		$html = '';
		
		$html .= '<p>' . JText::_($this->element['intro']) . '</p>';
		
		foreach($uithemes as $key=>$uitheme) {
			$url = '';
			
			$folderlist = JFolder::files($JScriptegrator->folderPath(true) . DS . 'libraries' . DS . 'jqueryui' . DS . 'css' . DS . $uitheme, '\.css$', false, true);
			
			$cssfile = $folderlist[0];
			
			unset($folderlist);
			
			$content = JFile::read($cssfile);
			
			preg_match('#(http:\/\/jqueryui\.com\/themeroller\/\?.*)#', $content, $url);
			
			$url = (isset($url[1]) ? $url[1] : '');
			
			unset($content);
			
			if ($url) {
				$html .= '<a href="' . $url . '" title="' . $uitheme . '::' . JText::sprintf('PLG_SYSTEM_CDSCRIPTEGRATOR_UITHEME_SHOWCASE_TOOLTIP_CLICK_TO_PREVIEW', $uitheme) . '" class="hasTip" target="_blank" rel="nofollow">';
			}
			
			$html .= '<img alt="' . $uitheme . '" title="' . $uitheme . '" src="' . $JScriptegrator->folderPath() . '/libraries/jqueryui/css/' . $uitheme . '/' . $uitheme . '.png' . '" />';
			
			if ($url) {
				$html .= '</a>';
			}
		}
		
		return $html;
		
	}
	
	/**
	 * Method to get the field input markup.
	 *
	 * @return	string	The field input markup.
	 * @since	1.6
	 */
	protected function getInput()
	{
		return '';
	}
}
?>