<?php
/**
 * Core Design Attachments plugin for Joomla! 1.7
 * @author		Daniel Rataj, <info@greatjoomla.com>
 * @package		Joomla
 * @subpackage	Content
 * @category	Plugin
 * @version		2.0.2
 * @copyright	Copyright (C) 2007 - 2011 Great Joomla!, http://www.greatjoomla.com
 * @license		http://www.gnu.org/copyleft/gpl.html GNU/GPL 3
 * 
 * This file is part of Great Joomla! extension.   
 * This extension is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This extension is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */


// no direct access
defined('_JEXEC') or die;

class DOWNLOADFILE
{
    private $df_path 				= "";
    private $df_contenttype 		= "";
    private $df_contentdisposition 	= "";
    private	$df_filename			= "";

    public function __construct($df_path, $df_contenttype = "application/octet-stream", $df_contentdisposition =
        "attachment", $df_filename = "")
    {
        $this->df_path = $df_path;
        $this->df_contenttype = $df_contenttype;
        $this->df_contentdisposition = $df_contentdisposition;
        $this->df_filename = ($df_filename) ? $df_filename : basename($df_path);
    }
    
	// download file
    public function df_download()
    {
        if ($this->df_exists()) {
            while (@ob_end_clean())
                ;

            if (strstr($_SERVER['HTTP_USER_AGENT'], "MSIE")) {

                // required for IE, otherwise Content-disposition is ignored
                if (ini_get('zlib.output_compression')) {
                    ini_set('zlib.output_compression', 'Off');
                } else {
                    // nothing to do...
                }

                header('Content-Type: "' . $this->df_contenttype . '"');
                header('Content-Disposition: ' . $this->df_contentdisposition . '; filename="' .
                    $this->df_filename . '"');
                header('Expires: 0');
                header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
                header("Content-Transfer-Encoding: binary");
                header('Pragma: public');
                header("Content-Length: " . $this->df_size());
            } else {
                header('Content-Type: "' . $this->df_contenttype . '"');
                header('Content-Disposition: ' . $this->df_contentdisposition . '; filename="' .
                    $this->df_filename . '"');
                header("Content-Transfer-Encoding: binary");
                header('Expires: 0');
                header('Pragma: no-cache');
                header("Content-Length: " . $this->df_size());
            }

            if (!ini_get('safe_mode')) { // set_time_limit doesn't work in safe mode
                @set_time_limit(0);
            }

            return $this->df_readfile($this->df_path);

            //$fp = readfile($this->df_path, "r");
            //return $fp;
        } else {
            return false;
        }
    }

    // check is specified file exists?
    private function df_exists()
    {
        if (file_exists($this->df_path)) {
            return true;
        } else {
            return false;
        }
    }

    // get file size
    private function df_size()
    {
        if ($this->df_exists()) {
            return filesize($this->df_path);
        } else {
            return false;
        }
    }

    private function df_readfile($filename, $retbytes = true)
    {
        $chunksize = 1 * (1024 * 1024); // how many bytes per chunk
        $buffer = '';
        $cnt = 0;
        $handle = fopen($filename, 'rb');
        if ($handle === false) {
            return false;
        }
        while (!feof($handle)) {
            $buffer = fread($handle, $chunksize);
            echo $buffer;
            @ob_flush();
            flush();
            if ($retbytes) {
                $cnt += strlen($buffer);
            }
        }
        $status = fclose($handle);
        if ($retbytes && $status) {
            return $cnt; // return num. bytes delivered like df_readfile() does.
        }
        return $status;
    }

}

?>