<?php
/**
 * Core Design Attachments plugin for Joomla! 1.7
 * @author		Daniel Rataj, <info@greatjoomla.com>
 * @package		Joomla
 * @subpackage	Content
 * @category	Plugin
 * @version		2.0.2
 * @copyright	Copyright (C) 2007 - 2011 Great Joomla!, http://www.greatjoomla.com
 * @license		http://www.gnu.org/copyleft/gpl.html GNU/GPL 3
 * 
 * This file is part of Great Joomla! extension.   
 * This extension is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This extension is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

// no direct access
defined('_JEXEC') or die;
?>

<?php if (is_null($fileinfo) and $mode === 'editAttachment'): ?>
	<?php
	echo JText::_('PLG_CONTENT_CDATTACHMENTS_NOT_AUTHORIZED');
	return false;
	?>
<?php endif; ?>

<div class="fileform">
	<form action="" name="fileform" method="post">
		<div class="cont">
			<label for="filetitle"><?php echo JText::_('PLG_CONTENT_CDATTACHMENTS_FILETITLE');?>: </label>
			<input type="text" title="<?php echo JText::_('PLG_CONTENT_CDATTACHMENTS_FILETITLE'); ?>" value="<?php echo ($fileinfo ? stripslashes($fileinfo->title) : '' ); ?>" name="filetitle" id="filetitle" maxlength="255" />
		</div>
		
		<div class="cont">
			<label for="filedesc"><?php echo JText::_('PLG_CONTENT_CDATTACHMENTS_FILEDESC'); ?>: </label>
			<input title="<?php echo JText::_('PLG_CONTENT_CDATTACHMENTS_FILEDESC'); ?>" type="text" name="filedesc" id="filedesc" value="<?php echo ($fileinfo ? stripslashes($fileinfo->desc) : '' ); ?>" maxlength="500" />
		</div>
			
		<div class="cont">
			<label for="filepassword"><?php echo JText::_('PLG_CONTENT_CDATTACHMENTS_FILEPASSWORD'); ?>: </label>
			<?php if ($mode == 'editAttachment'): ?>
				<input title="<?php echo JText::_('PLG_CONTENT_CDATTACHMENTS_FILEPASSWORD'); ?>" type="text" name="filepassword" id="filepassword" maxlength="255" /><?php echo (isset($fileinfo->password) ? $this->infoIcon(JText::_('PLG_CONTENT_CDATTACHMENTS_HELP_PASSWORD')) : ''); ?>
			<?php else: ?>
				<input title="<?php echo JText::_('PLG_CONTENT_CDATTACHMENTS_FILEPASSWORD'); ?>" type="text" name="filepassword" id="filepassword" maxlength="255" />
			<?php endif; ?>
		</div>
			
		<div class="cont">
			<label for="filelevel"><?php echo JText::_('PLG_CONTENT_CDATTACHMENTS_FILEACCESS'); ?>: </label>
			<select name="filelevel[]" title="<?php echo JText::_('PLG_CONTENT_CDATTACHMENTS_FILEACCESS'); ?>" id="filelevel" size="5" multiple="multiple">
				<?php foreach($this->levelList() as $level): ?>
					<?php if ($fileinfo and in_array($level->value, explode(',', $fileinfo->access))): ?>
						<option title="<?php echo $level->text;?>" value="<?php echo $level->value;?>" selected><?php echo $level->text; ?></option>
					<?php else: ?>
						<option title="<?php echo $level->text;?>" value="<?php echo $level->value; ?>"><?php echo $level->text; ?></option>
					<?php endif; ?>
				<?php endforeach; ?>
			</select>
		</div>
		
		<div class="cont">
			<label for="selectfile"><?php echo JText::_('PLG_CONTENT_CDATTACHMENTS_SELECTFILE'); ?>: </label>
			<select name="file" id="selectfile" size="1" title="<?php echo JText::_('PLG_CONTENT_CDATTACHMENTS_SELECTFILE'); ?>">
				<option value=""><?php echo JText::_('PLG_CONTENT_CDATTACHMENTS_SELECTFILE'); ?></option>
				<?php foreach($files as $files_item): ?>
					<?php if ($files_item == $fileinfo->file): ?>
						<option title="<?php echo $files_item; ?>" value="<?php echo $files_item; ?>" selected><?php echo $files_item; ?></option>
					<?php else: ?>
						<option title="<?php echo $files_item; ?>" value="<?php echo $files_item; ?>"><?php echo $files_item; ?></option>
					<?php endif; ?>
				<?php endforeach; ?>
			</select>
		</div>
		
		<div class="cont">
			<button title="<?php echo JText::_('PLG_CONTENT_CDATTACHMENTS_SAVE'); ?>" type="submit">
				<?php echo JText::_('PLG_CONTENT_CDATTACHMENTS_SAVE'); ?>
			</button>
		</div>
		<?php if ($mode == 'addAttachment'): ?>
			<input type="hidden" name="articleid" value="" />
			<input type="hidden" name="attachments" value="<?php echo $mode; ?>" />
		<?php else: ?>
			<input type="hidden" name="fileid" value="<?php echo ($fileinfo ? $fileinfo->id : ''); ?>" />
			<input type="hidden" name="attachments" value="<?php echo $mode; ?>" />
		<?php endif; ?>
		<?php echo JHtml::_( 'form.token' ); ?>
	</form>
</div>