<?php
/**
 * Core Design Attachments plugin for Joomla! 1.7
 * @author		Daniel Rataj, <info@greatjoomla.com>
 * @package		Joomla
 * @subpackage	Content
 * @category	Plugin
 * @version		2.0.2
 * @copyright	Copyright (C) 2007 - 2011 Great Joomla!, http://www.greatjoomla.com
 * @license		http://www.gnu.org/copyleft/gpl.html GNU/GPL 3
 * 
 * This file is part of Great Joomla! extension.   
 * This extension is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This extension is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

// no direct access
defined('_JEXEC') or die;
?>

<?php if ($count): ?>

	<?php foreach($object as $key => $obj): ?>
		<div class="document">
			<div class="downloadbutton">
				<form action="" name="downloadfile" method="post">
					<button type="submit" title="<?php echo JText::_('PLG_CONTENT_CDATTACHMENTS_DOWNLOAD'); ?>"
					<?php if (JFile::exists($this->attachmentsDir() . DS . $obj->file)): ?>
					<?php else: ?>
					 disabled="disabled"
					<?php endif; ?>
					><?php echo JText::_('PLG_CONTENT_CDATTACHMENTS_DOWNLOAD'); ?></button>
					<input type="hidden" name="fileid" value="<?php echo $obj->id; ?>" />
					
					<?php if ($obj->password): ?> 
						<input type="hidden" name="filepassword" value="" />
					<?php endif; ?>
					
					<input type="hidden" name="attachments" value="download" />
					<?php echo JHtml::_( 'form.token' ); ?>
				</form>
			</div>
		
			<div>
			
				<?php
				if ($this->params->get('fileinformation', 0)) {
					$fileinfo = true;
				} else {
					$fileinfo = false;
				}
				
				// file icon
				$fileext = strtolower(JFile::getExt($obj->file));
				$fileclass = $fileext;
				if (!JFile::exists(dirname(dirname(dirname(dirname(__FILE__)))) . DS . 'cdattachments' . DS . 'images' . DS . 'fileicons' . DS . $fileext . '.png')) {
					$fileclass = 'blank' ;
				}
				?>
				
				<div class="title">
					<?php if ($this->params->get('fileicon', 0)): ?>
						<div class="icons <?php echo $fileclass; ?>" title="<?php echo $fileext; ?>"></div>
					<?php endif; ?>
					<?php echo stripslashes($obj->title); ?>
					<?php if ($fileinfo): ?>
						<span class="smallinfo">
							<?php if ($this->params->get('fileinformation_size', 0)): ?>
								<?php echo JText::sprintf('PLG_CONTENT_CDATTACHMENTS_FILESIZE', $this->byte_convert($obj->size)); ?>
								<?php if ($this->params->get('fileinformation_hits', 0)): ?>
									 ,
								<?php endif; ?>
							<?php endif; ?>
							<?php if ($this->params->get('fileinformation_hits', 0)): ?>
								<?php echo JText::sprintf('PLG_CONTENT_CDATTACHMENTS_HITS', $obj->downloaded); ?>
							<?php endif; ?>
						</span>
					<?php endif; ?>
				</div>
				<?php if ($obj->desc): ?>
					<div class="desc">
						<?php echo stripslashes($obj->desc); ?>
					</div>
				<?php else: ?>
					<div class="desc">&nbsp;</div>
				<?php endif; ?>
			</div>
				
			<?php $dateformat = JText::_($this->params->get('dateformat', 'DATE_FORMAT_LC2')); ?>
				
			<div class="fileicons">
				<?php if ($fileinfo): ?>
					<div class="fileiconinfo" title="<?php echo JText::_('PLG_CONTENT_CDATTACHMENTS_FILEINFORMATION'); ?>"></div>
				<?php endif; ?>
				<?php if ($obj->password): ?>
					<div class="fileiconlocked" title="<?php echo JText::_('PLG_CONTENT_CDATTACHMENTS_PASSWORD_REQUIRED'); ?>"></div>
				<?php endif; ?>
				<?php if ($this->hasEditPermission($obj->id)): ?>
					<div class="fileicondelete" title="<?php echo JText::_('PLG_CONTENT_CDATTACHMENTS_DELETE'); ?>"></div>
				<?php endif; ?>
				<?php if ($this->hasEditPermission($obj->id)): ?>
					<div class="fileiconedit" title="<?php echo JText::_('PLG_CONTENT_CDATTACHMENTS_EDIT'); ?>"></div>
				<?php endif; ?>
				
				<?php if ($fileinfo): ?>
					<span class="uploadedinfo">
					<?php $uploadedby_username = $this->getUsername($obj->userid); ?>
					<?php if ($this->params->get('fileinformation_uploadedby', 1)): ?>
						<?php if ($uploadedby_username): ?>
							<?php echo JText::sprintf('PLG_CONTENT_CDATTACHMENTS_CREATEDBY', $uploadedby_username); ?>
						<?php else: ?>
							<?php echo JText::sprintf('PLG_CONTENT_CDATTACHMENTS_CREATEDBY', JText::_('PLG_CONTENT_CDATTACHMENTS_CREATEDBY_UNKNOWN')); ?>
						<?php endif; ?>
					<?php endif; ?>
					<?php if ($this->params->get('fileinformation_created', 1)): ?>
						<?php if ($this->params->get('fileinformation_uploadedby', 0)): ?>
						 (<?php echo JHtml::_('date', $obj->created, $dateformat); ?>)
						<?php endif; ?>
					<?php endif; ?>
					<?php if ($this->hasEditPermission($obj->id)): ?>
						<br />
						<?php echo JText::_('PLG_CONTENT_CDATTACHMENTS_ACCESS_LEVEL'); ?>:
						<?php
						$levellist_values = array();
						foreach($this->levelList() as $level) {
							if (in_array($level->value, explode(',', $obj->access))) {
								$levellist_values[] = $level->text;
								continue;
							}
						}
						echo implode(', ', $levellist_values);
						?>
					<?php endif; ?>
					</span>
				<?php endif; ?>
			
				<div class="cleaner"></div>
			</div>
			
			<?php if ($fileinfo): ?>
				<div class="fileinformation">
					<?php if ($this->params->get('fileinformation_name', 0)): ?>
						<?php echo JText::sprintf('PLG_CONTENT_CDATTACHMENTS_FILENAME', $obj->file); ?>
						<br />
					<?php endif; ?>
					
					<?php if ($this->params->get('fileinformation_type', 0)): ?>
						<?php echo JText::sprintf('PLG_CONTENT_CDATTACHMENTS_FILETYPE', $obj->type); ?>
						<br />
					<?php endif; ?>
					
					<?php if ($this->params->get('fileinformation_modified', 0) and $obj->modified != '0000-00-00 00:00:00' and $obj->created != $obj->modified): ?>
						<?php echo JText::sprintf('PLG_CONTENT_CDATTACHMENTS_MODIFIED', JHtml::_('date', $obj->modified, $dateformat), $this->getUsername($obj->modifiedby)); ?>
						<br />
					<?php endif; ?>
				</div>
			<?php endif; ?>				
			</div>
			
		<?php if (($count - $key) > 1): ?>
			<div class="spacer"></div>
		<?php endif; ?>
	
	<?php endforeach; ?>

<?php else: ?>
	<?php echo JText::_('PLG_CONTENT_CDATTACHMENTS_NO_ATTACHMENTS'); ?>
<?php endif; ?>